Subject: bug#40968: 28.0.50; (apply nil)

From: Pip Cet <[email-masked]>
Date: Wed, 29 Apr 2020 18:26:15 +0000

I'm very confused by the behavior of `apply' when given only a single
argument: when it's a nonempty list, the argument gets spread out and
passed to Ffuncall (I guess this might be useful sometimes). When it's
nil, Ffuncall gets called with nargs == 0 and Emacs crashes, at least
sometimes.

Should we fix the special case or raise apply's minimum argument count to 2?